<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package megapress
 */

?>	
</div><!-- row end -->
</div><!-- container-end -->
</div><!-- #content -->

<footer id="colophon" class="site-footer">
	<div class="footer-top">
		<div class="container">
			<div class="row">
				<div class="col-12 col-sm-12 col-md-4">
					<?php dynamic_sidebar( 'footer-widget-left' ); ?>
				</div>
				<div class="col-12 col-sm-12 col-md-4">
					<?php dynamic_sidebar( 'footer-widget-center' ); ?>
				</div>
				<div class="col-12 col-sm-12 col-md-4">
					<?php dynamic_sidebar( 'footer-widget-right' ); ?>
				</div>
			</div>
		</div><!-- container end -->
	</div><!-- footer-top end -->
	<div class="footer-bottom">
		<div class="container">
			<div class="site-info">
				<a href="<?php echo esc_url( __( 'https://younghat.com', 'megapress' ) ); ?>">	
					<?php 
					echo esc_html(get_theme_mod('megapress_footer_copyright_text')); ?>
				</a>
			</div><!-- .site-info -->
		</div>
	</div>
</footer><!-- #colophon -->
</div><!-- #page -->

<?php wp_footer(); ?>

</body>
</html>
